List posts in a feed

GET/posts/v1/feeds/{feedId}

Public, unauthenticated listing of posts in a feed, with pagination.

Path Parameters

feedId*string

Feed ID

Query Parameters

limit?integer

Page size

offset?integer

Page offset

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/postsv1.ListPostsResponse",
  "$ref-value": {
    "properties": {
      "posts": {
        "items": {
          "$ref": "#/components/schemas/postsv1.Post",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "creator_id": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "feed_id": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "image": {
                "$ref": "#/components/schemas/postsv1.PostImage",
                "$ref-value": {
                  "properties": {
                    "attached_to_video": {
                      "type": "boolean"
                    },
                    "file": {
                      "$ref": "#/components/schemas/postsv1.PostFile",
                      "$ref-value": {
                        "properties": {
                          "format": {
                            "type": "string"
                          },
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "project_id": {
                            "type": "string"
                          },
                          "size": {
                            "type": "integer"
                          },
                          "status": {
                            "type": "string"
                          },
                          "url": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      }
                    },
                    "height": {
                      "type": "integer"
                    },
                    "id": {
                      "type": "string"
                    },
                    "thumbhash": {
                      "type": "string"
                    },
                    "width": {
                      "type": "integer"
                    }
                  },
                  "type": "object"
                }
              },
              "image_id": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "video": {
                "$ref": "#/components/schemas/postsv1.PostVideo",
                "$ref-value": {
                  "properties": {
                    "bitrate": {
                      "type": "integer"
                    },
                    "codec": {
                      "type": "string"
                    },
                    "duration": {
                      "type": "number"
                    },
                    "file": {
                      "$ref": "#/components/schemas/postsv1.PostFile",
                      "$ref-value": {
                        "properties": {
                          "format": {
                            "type": "string"
                          },
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "project_id": {
                            "type": "string"
                          },
                          "size": {
                            "type": "integer"
                          },
                          "status": {
                            "type": "string"
                          },
                          "url": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      }
                    },
                    "framerate": {
                      "type": "string"
                    },
                    "hdr": {
                      "type": "boolean"
                    },
                    "height": {
                      "type": "integer"
                    },
                    "id": {
                      "type": "string"
                    },
                    "poster": {
                      "$ref": "#/components/schemas/postsv1.PostImage",
                      "$ref-value": {
                        "properties": {
                          "attached_to_video": {
                            "type": "boolean"
                          },
                          "file": {
                            "$ref": "#/components/schemas/postsv1.PostFile",
                            "$ref-value": {
                              "properties": {
                                "format": {
                                  "type": "string"
                                },
                                "id": {
                                  "type": "string"
                                },
                                "name": {
                                  "type": "string"
                                },
                                "project_id": {
                                  "type": "string"
                                },
                                "size": {
                                  "type": "integer"
                                },
                                "status": {
                                  "type": "string"
                                },
                                "url": {
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            }
                          },
                          "height": {
                            "type": "integer"
                          },
                          "id": {
                            "type": "string"
                          },
                          "thumbhash": {
                            "type": "string"
                          },
                          "width": {
                            "type": "integer"
                          }
                        },
                        "type": "object"
                      }
                    },
                    "width": {
                      "type": "integer"
                    }
                  },
                  "type": "object"
                }
              },
              "video_id": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      },
      "total": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/posts/v1/feeds/string"

OK

application/json

{
  "$ref": "#/components/schemas/postsv1.ListPostsResponse",
  "$ref-value": {
    "properties": {
      "posts": {
        "items": {
          "$ref": "#/components/schemas/postsv1.Post",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "creator_id": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "feed_id": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "image": {
                "$ref": "#/components/schemas/postsv1.PostImage",
                "$ref-value": {
                  "properties": {
                    "attached_to_video": {
                      "type": "boolean"
                    },
                    "file": {
                      "$ref": "#/components/schemas/postsv1.PostFile",
                      "$ref-value": {
                        "properties": {
                          "format": {
                            "type": "string"
                          },
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "project_id": {
                            "type": "string"
                          },
                          "size": {
                            "type": "integer"
                          },
                          "status": {
                            "type": "string"
                          },
                          "url": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      }
                    },
                    "height": {
                      "type": "integer"
                    },
                    "id": {
                      "type": "string"
                    },
                    "thumbhash": {
                      "type": "string"
                    },
                    "width": {
                      "type": "integer"
                    }
                  },
                  "type": "object"
                }
              },
              "image_id": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "video": {
                "$ref": "#/components/schemas/postsv1.PostVideo",
                "$ref-value": {
                  "properties": {
                    "bitrate": {
                      "type": "integer"
                    },
                    "codec": {
                      "type": "string"
                    },
                    "duration": {
                      "type": "number"
                    },
                    "file": {
                      "$ref": "#/components/schemas/postsv1.PostFile",
                      "$ref-value": {
                        "properties": {
                          "format": {
                            "type": "string"
                          },
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "project_id": {
                            "type": "string"
                          },
                          "size": {
                            "type": "integer"
                          },
                          "status": {
                            "type": "string"
                          },
                          "url": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      }
                    },
                    "framerate": {
                      "type": "string"
                    },
                    "hdr": {
                      "type": "boolean"
                    },
                    "height": {
                      "type": "integer"
                    },
                    "id": {
                      "type": "string"
                    },
                    "poster": {
                      "$ref": "#/components/schemas/postsv1.PostImage",
                      "$ref-value": {
                        "properties": {
                          "attached_to_video": {
                            "type": "boolean"
                          },
                          "file": {
                            "$ref": "#/components/schemas/postsv1.PostFile",
                            "$ref-value": {
                              "properties": {
                                "format": {
                                  "type": "string"
                                },
                                "id": {
                                  "type": "string"
                                },
                                "name": {
                                  "type": "string"
                                },
                                "project_id": {
                                  "type": "string"
                                },
                                "size": {
                                  "type": "integer"
                                },
                                "status": {
                                  "type": "string"
                                },
                                "url": {
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            }
                          },
                          "height": {
                            "type": "integer"
                          },
                          "id": {
                            "type": "string"
                          },
                          "thumbhash": {
                            "type": "string"
                          },
                          "width": {
                            "type": "integer"
                          }
                        },
                        "type": "object"
                      }
                    },
                    "width": {
                      "type": "integer"
                    }
                  },
                  "type": "object"
                }
              },
              "video_id": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      },
      "total": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}